package com.fzm.portal.auth;

import com.fzm.common.entity.User;
import com.fzm.common.service.UserService;
import com.fzm.common.utils.JwtUtil;
import org.springframework.stereotype.Component;
import cn.dev33.satoken.action.SaTokenActionDefaultImpl;

import javax.annotation.Resource;

/**
 * 继承Sa-Token行为Bean默认实现, 重写部分逻辑
 */
@Component
public class MySaTokenAction extends SaTokenActionDefaultImpl {

    @Resource
    private UserService userService;

    /**
     * 生成自定义token
     *
     * @param loginId
     * @param loginType
     * @return
     */
    @Override
    public String createToken(Object loginId, String loginType) {
        User loginUser = userService.getById((Integer)loginId);
        return JwtUtil.generateToken(loginUser);
    }
}
