package com.fzm.portal.config;

import org.springframework.amqp.core.Binding;
import org.springframework.amqp.core.Exchange;
import org.springframework.amqp.core.Queue;
import org.springframework.amqp.core.TopicExchange;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.HashMap;

/**
 * @author tangtuo
 * @date 2021/6/30 10:41
 */
@Configuration
public class RabbitMQConfig {

    @Bean
    public Exchange orderEventExchange() {
        return new TopicExchange("nft-event-exchange", true, false);
    }

    @Bean
    public Queue nftHashQueue() {
        return new Queue("nft.hash.queue",true,false,false);
    }

    @Bean
    public Binding orderCreateBinding() {
        /**
         * String destination, 目的地（队列名或者交换机名字）
         * DestinationType destinationType, 目的地类型（Queue、Exhcange）
         * String exchange,
         * String routingKey,
         * Map<String, Object> arguments
         * */
        return new Binding("nft.hash.queue", Binding.DestinationType.QUEUE, "nft-event-exchange", "nft.hash", null);
    }





}
